import { PlainFunction, Unpack } from "./types";
export declare const isArray: (arg: any) => arg is any[];
export declare function isUndefined<T>(value: T | undefined): value is undefined;
export declare function isNumber(value: number | unknown): value is number;
export declare function isString(value: string | unknown): value is string;
export declare function isFunction<T extends PlainFunction>(value: T | unknown): value is PlainFunction<Unpack<Parameters<T>>, ReturnType<T>>;
export declare function isCanvas<T extends HTMLCanvasElement | OffscreenCanvas>(value: T | unknown): value is T;
export declare function isOffscreenCanvas(value: HTMLCanvasElement | OffscreenCanvas | unknown): value is OffscreenCanvas;
export declare function isCSSStyleDeclaration(value: CSSStyleDeclaration | unknown): value is CSSStyleDeclaration;
